import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:multimage_picker/multimage_picker.dart';

void main() {
  const MethodChannel channel = MethodChannel('multimage_picker');

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getPlatformVersion', () async {
    expect(await MultimagePicker.platformVersion, '42');
  });
}
